//
//  CLControlTextField.h
//  ADT4
//
//  Created by Matheau Dakoske on Thu Dec 04 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class CLControlTextField;
@interface CLControlTextFieldCell : NSTextFieldCell {
    CLControlTextField              *controlTextField;
}

- (id) initWithControlTextField:(CLControlTextField *)textField;
- (void) setControlTextField:(CLControlTextField *)textField;
    
@end

@interface CLControlTextField : NSTextField {
    IBOutlet NSView             *controlView;
    NSSize                      controlViewOffset;
    BOOL                        controlViewIsHidden;
}

//Accessors
- (NSView *)controlView;
- (void) setControlView:(NSView *)view;

- (BOOL) controlViewIsHidden;
- (void) setControlViewIsHidden:(BOOL)hidden;

- (NSSize) controlViewOffset;
- (void) setControlViewOffset:(NSSize)offset;

//Mehthods
- (void) layoutViews;

@end
