//
//  CLHexColorTextField.h
//  ADT4
//
//  Created by Matheau Dakoske on Fri Sep 05 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import "CLControlTextField.h"

@interface CLHexColorTextFormatter : NSFormatter {
    BOOL displaysHash;
    BOOL displaysUppercase;
}

- (BOOL) displaysHash;
- (void) setDisplaysHash:(BOOL)aBool;
- (BOOL) displaysUppercase;
- (void) setDisplaysUppercase:(BOOL)aBool;

@end

@interface CLControlHexColorTextField : CLControlTextField {
}

- (NSColor *) color;
- (void) setColor:(NSColor *) aColor;

@end

@interface CLHexColorTextField : NSTextField {
}

- (NSColor *) color;
- (void) setColor:(NSColor *) aColor;

@end
