//
//  CLImageOnlyButtonCell.h
//  CLAppKit
//
//  Created by Matheau Dakoske on 10/30/05.
//  Copyright 2005 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CLImageOnlyButtonCell : NSButtonCell {
	NSImage *_disabledImage;
	
	NSImage *_drawImage;
	NSImage *_altDrawImage;
	NSImage *_disDrawImage;
	
	NSSize	_lastSize;
}

//OVERRIDES & ACCESSORS
- (NSImage *) disabledImage;
- (void) setDisabledImage:(NSImage *)disImg;

@end
