/* CLDotPopUpButton */

#import <Cocoa/Cocoa.h>

#define	CLDotPopUpButtonSymbolNone	0
#define CLDotPopUpButtonSymbolArrow	1

@interface CLDotPopUpButton : NSPopUpButton
{
    int symbolType;
    
    NSColor *buttonColor;
    NSColor *highlightColor;
    NSColor *symbolColor;
    
    BOOL hidesWhenDisabled;
}

- (int) symbolType;
- (void) setSymbolType:(int)symType;

- (NSColor *) buttonColor;
- (void) setButtonColor:(NSColor *)color;

- (NSColor *) highlightColor;
- (void) setHighlightColor:(NSColor *)color;

- (NSColor *) symbolColor;
- (void) setSymbolColor:(NSColor *)color;

- (BOOL) hidesWhenDisabled;
- (void) setHidesWhenDisabled:(BOOL)hides;

@end
