//
//  CLImageAndTextFieldCell.h
//  CLAppKit
//
//  Created by Matheau Dakoske on Thu Mar 18 2004.
//  Copyright (c) 2004 Code Line Communications. All rights reserved.
//

#import <CLAppKit/CLTruncatingTextFieldCell.h>


@interface CLImageAndTextFieldCell : CLTruncatingTextFieldCell {
    @private
    NSImage	*image;
}

- (void) setImage:(NSImage *)anImage;
- (NSImage *) image;

- (void) drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;
- (NSSize) cellSize;

@end
