//
//  CLTypeaheadOutlineView.h
//  ArtFiles
//
//  Created by Matheau Dakoske on Wed Jan 28 2004.
//  Copyright (c) 2004 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CLTypeaheadOutlineView : NSOutlineView {
    BOOL            usesTypeahead;
    NSString        *typeaheadString;
    NSTableColumn   *typeaheadTableColumn;
    NSTimeInterval  typeaheadInterval;
}

- (BOOL) usesTypeahead;
- (void) setUsesTypeahead:(BOOL)use;

- (NSString *) typeaheadString;
- (void) setTypeaheadString:(NSString *)taString;
- (void) appendTypeaheadString:(NSString *)taString;

- (NSTableColumn *)typeaheadTableColumn;
- (void) setTypeaheadTableColumn:(NSTableColumn *)taTableColumn;

- (NSTimeInterval) typeaheadInterval;
- (void) setTypeaheadInterval:(NSTimeInterval)taInterval;

- (void) selectTypeaheadRow;

@end
